NotesBackend Class Reference

Notes Calendar backend proxy. More...

`#include <NotesBackend.h>`

## Public Member Functions

| NotesBackend ()
| Constructor.
virtual | ~NotesBackend ()
| Destructor.
bool | init (const QString &aNotebookName, const QString &aUid, const QString &aMimeType)
| Initializes backend.
bool | uninit ()
| Uninitializes backend.
bool | getAllNotes (QList< Buteo::StorageItem * > &aItems)
| retrieves all Notes from the backend
bool | getAllNoteIds (QList< QString > &aIds)
| gets are note ids from the backend
bool | getNewNotes (QList< Buteo::StorageItem * > &aNewItems, const QDateTime &aTime)
| get all new notes from a timestamp
bool | getNewNoteIds (QList< QString > &aNewIds, const QDateTime &aTime)
| get all new note ids from a timestamp
bool | getModifiedNotes (QList< Buteo::StorageItem * > &aModifiedItems, const QDateTime &aTime)
| get all modified notes from the backend
bool | getModifiedNoteIds (QList< QString > &aModifiedIds, const QDateTime &aTime)
| get all modified notes ids from the backend
bool | getDeletedNoteIds (QList< QString > &aDeletedIds, const QDateTime &aTime)
| gets all deleted note ids
Buteo::StorageItem * | newItem ()
| fetch a new StorageItem
Buteo::StorageItem * | getItem (const QString &aItemId)
| get an item
bool | addNote (Buteo::StorageItem &aItem, bool commitNow)
| Uninitializes backend.
bool | modifyNote (Buteo::StorageItem &aItem, bool commitNow)
| Uninitializes backend.
bool | deleteNote (const QString &aId, bool commitNow)
| Uninitializes backend.
bool | commitChanges ()
| Persist notes db.

## Detailed Description

Notes Calendar backend proxy.

## Member Function Documentation

## addNote()

bool NotesBackend::addNote | ( | Buteo::StorageItem & | aItem,
|  | bool | commitNow )

Uninitializes backend.

Parameters

  aItem | - item to add
  aCommitNow | - if true persist db changes, if false do this later

Returns
  True on success, otherwise false

## commitChanges()

bool NotesBackend::commitChanges | ( |  | ) |

Persist notes db.

Returns
  True on success, otherwise false

## deleteNote()

bool NotesBackend::deleteNote | ( | const QString & | aId,
|  | bool | commitNow )

Uninitializes backend.

Parameters

  aId | - id of item to delete
  aCommitNow | - if true persist db changes, if false do this later

Returns
  True on success, otherwise false

## getAllNoteIds()

bool NotesBackend::getAllNoteIds | ( | QList< QString > & | aIds | ) |

gets are note ids from the backend

Parameters

  aIds | - list of notes ids

Returns
  True on success, otherwise false

## getAllNotes()

bool NotesBackend::getAllNotes | ( | QList< Buteo::StorageItem * > & | aItems | ) |

retrieves all Notes from the backend

Parameters

  aItems | Output Parameter - List of Buteo::StorageItems retrieved from Backend.

Returns
  True on success, otherwise false

## getDeletedNoteIds()

bool NotesBackend::getDeletedNoteIds | ( | QList< QString > & | aDeletedIds,
|  | const QDateTime & | aTime )

gets all deleted note ids

Parameters

  aDeletedIds | - deleted ids.
  aTime | - timestamp from which the deleted ids are needed.

Returns
  True on success, otherwise false

## getItem()

Buteo::StorageItem * NotesBackend::getItem | ( | const QString & | aItemId | ) |

get an item

Parameters

  aItemId | - id of the item to get

Returns
  pointer to the StorageItem

## getModifiedNoteIds()

bool NotesBackend::getModifiedNoteIds | ( | QList< QString > & | aModifiedIds,
|  | const QDateTime & | aTime )

get all modified notes ids from the backend

Parameters

  aModifiedIds | - list of modified ids (output parameter)
  aTime | - timestamp from which the modified notes ids are needed.

Returns
  True on success, otherwise false

## getModifiedNotes()

bool NotesBackend::getModifiedNotes | ( | QList< Buteo::StorageItem * > & | aModifiedItems,
|  | const QDateTime & | aTime )

get all modified notes from the backend

Parameters

  aModifiedItems | - list of modified items (output parameter)
  aTime | - timestamp from which the modified notes are needed.

Returns
  True on success, otherwise false

## getNewNoteIds()

bool NotesBackend::getNewNoteIds | ( | QList< QString > & | aNewIds,
|  | const QDateTime & | aTime )

get all new note ids from a timestamp

Parameters

  aNewIds | List of new ids (output parameter)
  aTime | - time from which to retrieve the notes

Returns
  True on success, otherwise false

## getNewNotes()

bool NotesBackend::getNewNotes | ( | QList< Buteo::StorageItem * > & | aNewItems,
|  | const QDateTime & | aTime )

get all new notes from a timestamp

Parameters

  aNewItems | List of new items.(output parameter)
  aTime | - time from which to retrieve the notes

Returns
  True on success, otherwise false

## init()

bool NotesBackend::init | ( | const QString & | aNotebookName,
|  | const QString & | aUid,
|  | const QString & | aMimeType )

Initializes backend.

Returns
  True on success, otherwise false

## modifyNote()

bool NotesBackend::modifyNote | ( | Buteo::StorageItem & | aItem,
|  | bool | commitNow )

Uninitializes backend.

Parameters

  aItem | - item to modify
  aCommitNow | - if true persist db changes, if false do this later

Returns
  True on success, otherwise false

## newItem()

Buteo::StorageItem * NotesBackend::newItem | ( |  | ) |

fetch a new StorageItem

Returns
  pointer to the newly created StorageItem

## uninit()

bool NotesBackend::uninit | ( |  | ) |

Uninitializes backend.

Returns
  True on success, otherwise false

The documentation for this class was generated from the following file:

- NotesBackend.h